## netboot 0.4

=== config/Makefile ===
#
# Makefile  -  makefile to create configure and config.h.in
#
# Version 1.0 <Thu Oct  3 17:51:51 MET 1996>
#
# Copyright (C) 1996 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOCONF	= autoconf
AUTOHEADER	= autoheader


all:		../configure ../config.h.in


../configure:	configure.in
		$(AUTOCONF)
		mv configure ../configure

../config.h.in:	configure.in acconfig.h
		$(AUTOHEADER)
		mv config.h.in ../config.h.in


clean:
	rm -f ../config.h.in ../configure

## netboot 0.7.3

=== bootrom/Makefile ===
#
# Makefile  -  main makefile for bootrom
#
# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


include make.config
include make.defs


# The headers directory has to come first!
SUBDIRS	= headers utils loader kernel


all:	$(SUBDIRS)


headers:	dummy
	@echo making all in $@
	@(cd $@ && $(MAKE) all) || exit 1


kernel:	dummy
ifndef NO_BOOTROM
	@echo making all in $@
	@(cd $@; \
	  $(MAKE) clean; \
	  $(MAKE) P86="-DP86" all || exit 1; \
	  $(MAKE) clean; \
	  $(MAKE) MINIMAL="-DMINIMAL" all || exit 1; \
	  $(MAKE) clean; \
	  $(MAKE) all || exit 1)
else
	@echo nothing to make in $@
endif


loader:	dummy
ifndef NO_BOOTROM
	@echo making all in $@
	@(cd $@; \
	  $(MAKE) clean; \
	  $(MAKE) P86="-DP86" all || exit 1; \
	  $(MAKE) clean; \
	  $(MAKE) all || exit 1)
else
	@echo nothing to make in $@
endif


utils:	dummy
ifndef NO_BOOTROM
	@echo making all in $@
	@(cd $@ && $(MAKE) all) || exit 1
else
	@echo nothing to make in $@
endif


dep:
	@for subdir in $(SUBDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $@) || exit 1; \
	done


install:
	$(INSTALL) -o bin -g bin -d $(libdir)
	$(INSTALL) -o bin -g bin -d $(libdir)/binaries
	$(INSTALL) -o bin -g bin -d $(libdir)/pktdrvr
	@(cd utils && $(MAKE) install) || exit 1
	@for i in ./binaries/*; do \
	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
	done
	@for i in ./pktdrvr/*.com; do \
	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
	done


dummy:


.PHONY:	clean realclean distclean
clean:	clean-recursive

realclean: 	realclean-recursive
	rm -f make.defs
	rm -f binaries/*

distclean:	distclean-recursive
	rm -f make.defs

clean-recursive realclean-recursive distclean-recursive:
	@for subdir in $(SUBDIRS); do \
	  target=`echo $@ | sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== config/Makefile ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #
 # Makefile  -  makefile to create configure and config.h.in
 #
-# Version 1.0 <Thu Oct  3 17:51:51 MET 1996>
-#
-# Copyright (C) 1996 Gero Kuhlmann   <gero@gkminix.han.de>
+# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -27,11 +25,11 @@
 all:		../configure ../config.h.in
 
 
-../configure:	configure.in
+../configure:	configure.in aclocal.m4
 		$(AUTOCONF)
 		mv configure ../configure
 
-../config.h.in:	configure.in acconfig.h
+../config.h.in:	configure.in acconfig.h aclocal.m4 config.h.top
 		$(AUTOHEADER)
 		mv config.h.in ../config.h.in

=== bootrom/headers/Makefile ===
#
# Makefile  -  makefile for include files
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../make.config


#
#  Include system dependent definitions:
#
include ../make.defs


#
#  Target rules.
#
all:		version.h version.inc


version.h:	version.h.in
	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.h.in >version.h


version.inc:	version.inc.in
	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.inc.in >version.inc


#
# Maintenance rules
#
dep:		version.h version.inc


install:


.PHONY:	clean distclean realclean

clean:
	rm -f version.h version.inc

distclean realclean:	clean


dummy:

=== bootrom/kernel/Makefile ===
#
# Makefile  -  makefile for boot rom kernel
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../make.config


#
#  List of subdirectories
#
SUBDIRS		= arpa boot dossim lib net
ALLSUBDIRS	= init $(SUBDIRS)


#
#  List of source and object files:
#
LIBS	= libminidos.a libnet.a libromlib.a libarpa.a libboot.a
OBJS	= kernel.o main.o
SEGEND	= segend.o
TARGET	= kernel.bin


#
#  Include system dependent definitions:
#
include ../make.defs


#
#  The following macro sorts the kernel link map
#
SORT	= sort +4 +3


#
#  Target rules.
#
all:		obj/$(TARGET)


obj/$(TARGET):	objs subdirs
ifdef P86
	(cd obj; \
	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel86.map; \
	  cp kernel.bin $(srcdir)/binaries/kernel86.bin)
else
ifdef MINIMAL
	(cd obj; \
	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernelm.map; \
	  cp kernel.bin $(srcdir)/binaries/kernelm.bin)
else
	(cd obj; \
	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel.map; \
	  cp kernel.bin $(srcdir)/binaries/kernel.bin)
endif
endif


objs:		dummy
	@echo making all in init
	@(cd init && $(MAKE) all) || exit 1


subdirs:	dummy
	@for subdir in $(SUBDIRS); do \
	  echo making all in $$subdir; \
	  (cd $$subdir && $(MAKE) all) || exit 1; \
	done


#
#  Maintenance rules
#
dep:
	@for subdir in $(ALLSUBDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $@) || exit 1; \
	done


install:


dummy:


.PHONY:	clean realclean distclean

clean:	clean-recursive
	rm -f obj/*

realclean distclean:	distclean-recursive
	rm -f obj/*

clean-recursive realclean-recursive distclean-recursive:
	@for subdir in $(ALLSUBDIRS); do \
	  target=`echo $@ | sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== bootrom/loader/Makefile ===
#
# Makefile  -  makefile for net boot loader routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../make.config


#
#  List of source and object files:
#
CSRCS	= 
ASRCS	= floppy.S rom.S inflate.S segend.S
OBJS	= floppy.o rom.o inflate.o segend.o
FLAGS	= $(LODFL)


#
#  Include system dependent definitions:
#
include ../make.defs


#
#  Target rules.
#
all:		floppy.bin rom.bin


rom.bin:	$(OBJS)
	$(LD86) $(LD86FLAGS) -o $@ rom.o inflate.o segend.o
	@chmod 0644 rom.bin
ifdef P86
	@cp rom.bin $(srcdir)/binaries/rom86.bin
else
	@cp rom.bin $(srcdir)/binaries/rom.bin
endif


floppy.bin:	$(OBJS) rom.bin
	$(LD86) $(LD86FLAGS) -o $@ floppy.o
	@chmod 0644 floppy.bin
ifdef P86
	@cat floppy.bin rom.bin >$(srcdir)/binaries/floppy86.bin
else
	@cat floppy.bin rom.bin >$(srcdir)/binaries/floppy.bin
endif


#
# Maintenance rules
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


install:


.PHONY:	clean distclean realclean

clean:
	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

=== bootrom/utils/Makefile ===
#
# Makefile  -  makefile for utilty programs
#
# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


include ../make.config
include ../make.defs


SUBDIRS	= ansidrv pktwatch


# Where to install the programs and modules
INSTDIR = $(libdir)/utils
INSTDATA = $(SUBDIRS:%=%.com)


all dep:
ifndef NO_ASM
	@for subdir in $(SUBDIRS); do \
	  echo making $@ in $$subdir; \
	  (cd $$subdir && $(MAKE) $@) || exit 1; \
	done
endif


install:	all
	$(INSTALL) -o bin -g bin -d $(INSTDIR)
	@for i in $(INSTDATA); do \
	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
	  $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
	done


dummy:


.PHONY:	clean realclean distclean
clean:	clean-recursive

realclean: 	realclean-recursive
	rm -f $(INSTDATA)

distclean:	distclean-recursive

clean-recursive realclean-recursive distclean-recursive:
	@for subdir in $(SUBDIRS); do \
	  target=`echo $@ | sed 's/-recursive//'`; \
	  echo making $$target in $$subdir; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== mknbi-mgl/test/Makefile ===
#
# Makefile  -  makefile for MGL test programs
#
# Copyright (C) 1997,1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


############# Do not touch anything below this line #####################

MKNBI	= ../mknbi
SRC	= menu.mgl test1.mgl test2.mgl test3.mgl test4.mgl test5.mgl test6.mgl
OUT	= $(SRC:%.mgl=%.out)


.SUFFIXES:	.mgl .out

.mgl.out:
	$(MKNBI) $< $@

.PHONY:		all

all:		$(OUT)


.PHONY:		clean
clean:
		rm -f $(OUT) core

=== bootrom/kernel/arpa/Makefile ===
#
# Makefile  -  makefile for ARPA network routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= arpainit.c bootp.c tftp.c resolve.c
ASRCS	= 
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libarpa.a

FLAGS	= $(ARPAFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


.PHONY:	clean distclean realclean

clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

=== bootrom/kernel/boot/Makefile ===
#
# Makefile  -  makefile for main boot routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= boot.c load.c menu.c
ASRCS	= utility.S lddisk.S
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libboot.a

FLAGS	= $(BOOTFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


.PHONY:	clean distclean realclean

clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

=== bootrom/kernel/dossim/Makefile ===
#
# Makefile  -  makefile for DOS simulator
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= 
ASRCS	= basicio.S dosinit.S fileio.S memory.S process.S system.S time.S
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libminidos.a

FLAGS	= $(DOSFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


.PHONY:	clean distclean realclean

clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

=== bootrom/kernel/init/Makefile ===
#
# Makefile  -  makefile for net boot initialization routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= main.c
ASRCS	= kernel.S segend.S
OBJS	= main.o kernel.o segend.o
TARGET	= $(OBJS)

FLAGS	= $(INIFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
all:		$(TARGET)
	@cp $(TARGET) ../obj


#
#  Maintenance rules.
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


.PHONY:	clean distclean realclean

clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

=== bootrom/kernel/lib/Makefile ===
#
# Makefile  -  makefile for general library routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= 
ASRCS	= printf.S keyboard.S time.S memory.S misc.S string.S \
	  bcc_idiv.S bcc_imul.S bcc_ladd.S bcc_lbool.S bcc_lcmp.S \
	  bcc_lshl.S bcc_lshr.S
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libromlib.a

FLAGS	= $(LIBFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


.PHONY:	clean distclean realclean

clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies

## netboot 0.8.1

=== bootrom/Makefile ===
--- 
+++ 
@@ -25,52 +25,62 @@
 
 # The headers directory has to come first!
 SUBDIRS	= headers utils loader kernel
+TARGETS	= headers utils-$(DEV86) loader-$(DEV86) kernel-$(DEV86)
 
 
-all:	$(SUBDIRS)
+#
+# Rules to generate targets
+#
+.PHONY:	all distrib headers
+.PHONY:	kernel-i86 kernel-no86 loader-i86 loader-no86 utils-i86 utils-no86
+
+all distrib:	$(TARGETS)
 
 
-headers:	dummy
+headers:
 	@echo making all in $@
 	@(cd $@ && $(MAKE) all) || exit 1
 
 
-kernel:	dummy
-ifndef NO_BOOTROM
+kernel-i86:
 	@echo making all in $@
-	@(cd $@; \
+	@(cd $(@:-i86=); \
 	  $(MAKE) clean; \
 	  $(MAKE) P86="-DP86" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) MINIMAL="-DMINIMAL" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) all || exit 1)
-else
+
+kernel-no86:
 	@echo nothing to make in $@
-endif
 
 
-loader:	dummy
-ifndef NO_BOOTROM
+loader-i86:
 	@echo making all in $@
-	@(cd $@; \
+	@(cd $(@:-i86=); \
 	  $(MAKE) clean; \
 	  $(MAKE) P86="-DP86" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) all || exit 1)
-else
+
+loader-no86:
 	@echo nothing to make in $@
-endif
 
 
-utils:	dummy
-ifndef NO_BOOTROM
+utils-i86:
 	@echo making all in $@
-	@(cd $@ && $(MAKE) all) || exit 1
-else
+	@(cd $(@:-i86=) && $(MAKE) all) || exit 1
+
+utils-no86:
 	@echo nothing to make in $@
-endif
 
+
+#
+# Maintenance rules
+#
+.PHONY:	dep install clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
 
 dep:
 	@for subdir in $(SUBDIRS); do \
@@ -82,23 +92,18 @@
 install:
 	$(INSTALL) -o bin -g bin -d $(libdir)
 	$(INSTALL) -o bin -g bin -d $(libdir)/binaries
-	$(INSTALL) -o bin -g bin -d $(libdir)/pktdrvr
+	$(INSTALL) -o bin -g bin -d $(libdir)/netdrvr
 	@(cd utils && $(MAKE) install) || exit 1
 	@for i in ./binaries/*; do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
 	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
 	done
-	@for i in ./pktdrvr/*.com; do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
-	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
+	@for i in ./netdrvr/*.com; do \
+	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/netdrvr; \
 	done
 
 
-dummy:
+clean:	clean-recursive
 
-
-.PHONY:	clean realclean distclean
-clean:	clean-recursive
 
 realclean: 	realclean-recursive
 	rm -f make.defs
@@ -107,6 +112,7 @@
 distclean:	distclean-recursive
 	rm -f make.defs
 
+
 clean-recursive realclean-recursive distclean-recursive:
 	@for subdir in $(SUBDIRS); do \
 	  target=`echo $@ | sed 's/-recursive//'`; \

=== bootrom/headers/Makefile ===
--- 
+++ 
@@ -34,33 +34,29 @@
 #
 #  Target rules.
 #
-all:		version.h version.inc
+.PHONY:	all
+all:		version.h
 
 
 version.h:	version.h.in
-	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.h.in >version.h
-
-
-version.inc:	version.inc.in
-	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.inc.in >version.inc
+	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/;s/%YEAR%/$(YEAR)/" version.h.in >version.h
 
 
 #
 # Maintenance rules
 #
-dep:		version.h version.inc
+.PHONY:	dep install clean distclean realclean
+
+dep:	version.h
 
 
 install:
 
 
-.PHONY:	clean distclean realclean
+clean:
+	rm -f version.h
 
-clean:
-	rm -f version.h version.inc
 
 distclean realclean:	clean
 
 
-dummy:
-

=== bootrom/kernel/Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 #
 #  Target rules.
 #
+.PHONY:		all
 all:		obj/$(TARGET)
 
 
@@ -63,26 +64,31 @@
 ifdef P86
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel86.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernel86.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernel86.bin; \
+	  AWK=$(AWK) ../checksize kernel86.map || exit 1)
 else
 ifdef MINIMAL
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernelm.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernelm.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernelm.bin; \
+	  AWK=$(AWK) ../checksize kernelm.map || exit 1)
 else
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernel.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernel.bin; \
+	  AWK=$(AWK) ../checksize kernel.map || exit 1)
 endif
 endif
 
 
-objs:		dummy
+.PHONY:	objs
+objs:
 	@echo making all in init
 	@(cd init && $(MAKE) all) || exit 1
 
 
-subdirs:	dummy
+.PHONY:	subdirs
+subdirs:
 	@for subdir in $(SUBDIRS); do \
 	  echo making all in $$subdir; \
 	  (cd $$subdir && $(MAKE) all) || exit 1; \
@@ -92,6 +98,9 @@
 #
 #  Maintenance rules
 #
+.PHONY:	dep install clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
+
 dep:
 	@for subdir in $(ALLSUBDIRS); do \
 	  echo making $@ in $$subdir; \
@@ -101,11 +110,6 @@
 
 install:
 
-
-dummy:
-
-
-.PHONY:	clean realclean distclean
 
 clean:	clean-recursive
 	rm -f obj/*

=== bootrom/loader/Makefile ===
--- 
+++ 
@@ -43,6 +43,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		floppy.bin rom.bin
 
 
@@ -69,6 +71,8 @@
 #
 # Maintenance rules
 #
+.PHONY:	dep install clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -83,8 +87,6 @@
 install:
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak tmp_make
 
@@ -94,7 +96,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== misc/config/Makefile ===
#
# Makefile  -  makefile to create configure and config.h.in
#
# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOCONF	= autoconf
AUTOHEADER	= autoheader
TOPDIR		= ../..
CONFSCRIPT	= $(TOPDIR)/configure
CONFHEADER	= $(TOPDIR)/config.h.in


.PHONY: all
all distrib:	$(CONFSCRIPT) $(CONFHEADER)


$(CONFSCRIPT):	configure.in aclocal.m4
		$(AUTOCONF)
		mv configure $(CONFSCRIPT)

$(CONFHEADER):	configure.in acconfig.h aclocal.m4 config.h.top
		$(AUTOHEADER)
		mv config.h.in $(CONFHEADER)


install dep:


clean:
	rm -f core
	rm -f acout.* autoh*

distclean:	clean

realclean:	clean
	rm -f $(CONFSCRIPT) $(CONFHEADER)

=== bootrom/kernel/arpa/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #
 #  List of source and object files:
 #
-CSRCS	= arpainit.c bootp.c tftp.c resolve.c
+CSRCS	= bootp.c tftp.c resolve.c
 ASRCS	= 
 OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
 TARGET	= libarpa.a
@@ -45,6 +45,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -57,6 +59,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -68,11 +72,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -81,7 +84,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== bootrom/kernel/boot/Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -57,6 +59,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -68,11 +72,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -81,7 +84,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== bootrom/kernel/dossim/Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -57,6 +59,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -68,11 +72,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -81,7 +84,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== bootrom/kernel/init/Makefile ===
--- 
+++ 
@@ -45,13 +45,17 @@
 #
 #  Target rules.
 #
-all:		$(TARGET)
+.PHONY:	all
+
+all:	$(TARGET)
 	@cp $(TARGET) ../obj
 
 
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -63,11 +67,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -76,7 +79,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== bootrom/kernel/lib/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 #  List of source and object files:
 #
 CSRCS	= 
-ASRCS	= printf.S keyboard.S time.S memory.S misc.S string.S \
+ASRCS	= printf.S keyboard.S time.S misc.S string.S \
 	  bcc_idiv.S bcc_imul.S bcc_ladd.S bcc_lbool.S bcc_lcmp.S \
 	  bcc_lshl.S bcc_lshr.S
 OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
@@ -47,6 +47,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -59,6 +61,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -70,11 +74,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -83,7 +86,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies

=== bootrom/kernel/net/Makefile ===
#
# Makefile  -  makefile for IP stack
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= netinit.c arp.c udp.c
ASRCS	= packet.S utility.S
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libnet.a

FLAGS	= $(NETFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
.PHONY:		all

all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
.PHONY:	dep clean distclean realclean

dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make


distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


### Dependencies

=== bootrom/utils/ansidrv/Makefile ===
#
# Makefile  -  makefile for ANSI display driver
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= 
ASRCS	= ansidrv.S
OBJS	= ansidrv.o
TARGET	= ansidrv.com

FLAGS	= $(UTLFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
.PHONY:		all

all:		$(TARGET)


$(TARGET):	$(OBJS)
	$(LD86) $(LD86FLAGS) -o $(TARGET:%.com=%.b) $(OBJS)
	dd if=$(TARGET:%.com=%.b) of=$(TARGET) bs=256 skip=1
	@cp $(TARGET) ..


#
#  Maintenance rules.
#
.PHONY:	dep clean distclean realclean

dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


### Dependencies

## netboot 0.8.1-1

=== bootrom/utils/Makefile ===
--- 
+++ 
@@ -28,36 +28,38 @@
 
 # Where to install the programs and modules
 INSTDIR = $(libdir)/utils
-INSTDATA = $(SUBDIRS:%=%.com)
+INSTDATA = ansidrv.com pktwatch.com
 
 
+#
+# Target and maintenance rules
+#
+.PHONY:	all dep install	clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
+
 all dep:
-ifndef NO_ASM
 	@for subdir in $(SUBDIRS); do \
 	  echo making $@ in $$subdir; \
 	  (cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
-endif
 
 
-install:	all
+install:
 	$(INSTALL) -o bin -g bin -d $(INSTDIR)
 	@for i in $(INSTDATA); do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
 	  $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
 	done
 
 
-dummy:
+clean:	clean-recursive
 
-
-.PHONY:	clean realclean distclean
-clean:	clean-recursive
 
 realclean: 	realclean-recursive
 	rm -f $(INSTDATA)
 
+
 distclean:	distclean-recursive
+
 
 clean-recursive realclean-recursive distclean-recursive:
 	@for subdir in $(SUBDIRS); do \

=== debian/changelog ===
netboot (0.8.1-1) unstable; urgency=low

  * New upstream release (fixes Bug #27571); here are the changes new
    to version 0.8 (0.8.1 is a bug fix release):
    - changes to the bootrom:
        - changed the memory management of the bootrom which now uses
          upper memory, thus freeing all DOS simulator ram space for
          use by DOS programs. You now have approx. 60kB of free ram
          available for a packet driver and other programs (which is
          about 20kB more than previously with older netboot
          versions). If you had problems with a packet driver not
          fitting into memory, please try it again with this new
          version and let me know!
        - besides these memory management changes, I had to modify the
          internal buffer handling, with the result that the bootrom
          kernel code is now not only smaller but also noticably faster.
    - added support for a configuration file and system database file
      to all user programs. You can now simply specify a system name
      on the command line of mknbi-linux for example, and it will
      generate a Linux netbootable image without any other command
      line options. Basically, after you've setup a system in the
      database, you don't have to remember the various command
      line options for the different programs anymore.
    - added various hex file formats to makerom. If you have an EPROM
      programmer which only accepts certain hex formats, you can now
      directly generate those formats without the need of an external
      converter. Presently supported are Intel hex, Motorola hex and
      Tektronix hex formats.
    - new program: ROMCHECK - this is a program to interactively
      verify the installation of a netboot bootrom. If your boot EPROM
      doesn't seem to work you can use romcheck to find out why. It's
      probably similar to the romscan program found in etherboot, even
      though I have never seen that. Please try out romcheck, even if
      you don't have problems with the bootrom, and let me know what
      you think about it. Especially, if you find bugs or have ideas
      for extensions please tell me.
    - changed the directory structure of the package: it now contains
      a library with routines common to all user programs, many files
      moved from the main directory into some subdirectory. I've also
      reworked most of the Makefiles.
    - added two new packet drivers for DC21x4 and Intel Etherexpress
      cards from the Crynwr packet driver collection.
    - many bug fixes (too numerous to list them here - see the HISTORY
      file for a comprehensive listing)
    - extensive documentation updates, including man pages
  * Bug #25050 fixed (thanks to Lars Wirzenius <liw@iki.fi>)

 -- Christian Leutloff <leutloff@debian.org>  Sat, 17 Oct 1998 17:45:17 +0200

netboot (0.7.3-1) unstable; urgency=low

  * New upstream release: 2.88MB floppy format with mknbi-dos, bug fixes
  * now uses debhelper, lintian fixes (close bug #18019)

 -- Christian Leutloff <leutloff@debian.org>  Tue, 10 Feb 1998 18:49:27 +0100

netboot (0.7.2-2) unstable; urgency=low

  * compiled with glibc2

 -- Christian Leutloff <leutloff@debian.org>  Mon, 27 Oct 1997 14:04:28 +0100

netboot (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Christian Leutloff <leutloff@debian.org>  Sun, 31 Aug 1997 09:59:06 +0200

netboot (0.7.1-1) unstable; urgency=low

  * New upstream release (bootmenu creating works better)

 -- Christian Leutloff <leutloff@debian.org>  Tue, 19 Aug 1997 10:12:44 +0200

netboot (0.7-1) unstable; urgency=low

  * includes now mknbi-dos to build a netbootable image from dos boot disk
    (#11873) and mkni-mgl to create menus for the boot process
  * New upstream release (fixed #11872)

 -- Christian Leutloff <leutloff@debian.org>  Sun, 10 Aug 1997 17:29:35 +0200

netboot (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Christian Leutloff <leutloff@debian.org>  Tue, 22 Jul 1997 20:22:33 +0200

netboot (0.5.2-1) unstable; urgency=low

  * New Upstream Release.
  * fixed #7742

 -- Christian Leutloff <leutloff@debian.org>  Wed, 9 Apr 1997 16:35:21 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "leutloff@debian.org"
End:

=== debian/control ===
Source: netboot
Section: net
Priority: extra
Maintainer: Christian Leutloff <leutloff@debian.org>
Standards-Version: 2.4.0.0

Package: netboot
Architecture: any
Depends: ${shlibs:Depends}
Description: Booting of a diskless computer
 This package allows booting of a diskless computer over a network and
 mounting the root filesystem via NFS. It contains the necessary
 bootrom code and utility program to convert a Linux kernel or MS-DOS
 disk into a netbootable image.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
#                                                              -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

#	Add here commands to compile the package.
#	./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc --enable-bootrom
	./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc 
#	make CDEBUG="-DDEBIAN"
	make 

	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

#	Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

#	-rm -f `find . -name "*~"`
#	-rm -rf debian/tmp debian/files* core debian/substvars


install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

#	Add here commands to install the files into debian/tmp
	make install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr confdir=`pwd`/debian/tmp/etc
	install FlashCard/* debian/tmp/usr/doc/netboot/FlashCard
	install bootrom/netdrvr/README debian/tmp/usr/doc/netboot/netdrvr/
	install bootrom/netdrvr/howtoget.it debian/tmp/usr/doc/netboot/netdrvr/
#	install bootrom/netdrvr/*.com debian/tmp/usr/lib/netboot/

#	cp makerom/makerom.config debian/tmp/etc
# FlashCard         bootrom     

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README doc/README.bootrom doc/README.romcheck doc/README.menu doc/PROBLEMS doc/Spec.doc 
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs doc/HISTORY
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb


source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
